# $Revision: 1.150.2.16 $, $Date: 2008-04-09 09:24:47 $
# TODO
# - initrd build with uclibc on amd64 produces non-working binary (illegal instruction from open("/dev/null"))
#
# Conditional build:
%bcond_without	initrd	# build without udev-initrd
%bcond_without	uClibc	# link initrd version with static uClibc
%bcond_with	klibc	# link initrd version with static klibc
%bcond_with	dietlibc	# link initrd version with static dietlibc (currently broken and unsupported)
%bcond_with	glibc	# link initrd version with static glibc
%bcond_without	main	# don't compile main package, use for debugging initrd build

%ifarch %{x8664} sparc alpha
%define		with_klibc 1
%endif

# if one of the *libc is enabled disable default uClibc
%if %{with dietlibc} && %{with uClibc}
%undefine	with_uClibc
%endif

%if %{with glibc} && %{with uClibc}
%undefine	with_uClibc
%endif

%if %{with klibc} && %{with uClibc}
%undefine	with_uClibc
%endif

Summary:	A userspace implementation of devfs
Summary(pl):	Implementacja devfs w przestrzeni uytkownika
Name:		udev
Version:	079
Release:	11
Epoch:		1
License:	GPL
Group:		Base
Source0:	ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/%{name}-%{version}.tar.bz2
# Source0-md5:	981fc92fd2eeb4d4d13c182c447af6bf
Source1:	%{name}.rules
Source2:	%{name}.conf
Source3:	start_udev
Source4:	ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/uevent_listen.c
# Source4-md5:	4acb96094bc60cbdca72daa4c3e0152f
Source5:	%{name}_import_usermap
Source6:	%{name}-modprobe.rules
Source7:	%{name}-hotplug_map.rules
Source8:	%{name}-links.conf
Source9:	%{name}-early.rules
Source10:	%{name}-persistent-input.rules
Source11:	%{name}-persistent-storage.rules
Source12:	%{name}.blacklist
# helpers
Source20:	%{name}-ieee1394.helper
Source21:	%{name}-net.helper
# hotplug usb maps
Source30:	%{name}-usb.distmap
Source31:	%{name}-usb.handmap
Patch0:		%{name}-synthesize-02.patch
Patch1:		%{name}-synthesize-md
Patch2:		%{name}-synthesize-preserve_env
Patch3:		%{name}-coldplug.patch
URL:		http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html
BuildRequires:	device-mapper-devel
BuildRequires:	libselinux-devel >= 1.17.13
BuildRequires:	sed >= 4.0
%if %{with initrd}
%{?with_dietlibc:BuildRequires:	dietlibc-static}
%{?with_glibc:BuildRequires:	glibc-static}
%{?with_klibc:BuildRequires:	klibc-static}
%{?with_klibc:BuildRequires:	linux-libc-headers}
%{?with_uClibc:BuildRequires:	uClibc-static >= 0.9.28}
%endif
Requires:	coreutils
Provides:	dev = 3.0.0
# Obsoletes:	dev
# Obsoletes:	hotplug
# Obsoletes:	hotplug-input
# Obsoletes:	hotplug-net
# Obsoletes:	hotplug-pci
Obsoletes:	udev-dev
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		extras		extras/ata_id extras/cdrom_id extras/dasd_id extras/edd_id extras/floppy extras/firmware extras/scsi_id extras/usb_id extras/volume_id

%description
A userspace implementation of devfs for 2.5 and higher kernels.

%description -l pl
Implementacja devfs w przestrzeni uytkownika dla jder 2.5 i
wyszych.

%package initrd
Summary:	A userspace implementation of devfs - static binary for initrd
Summary(pl):	Implementacja devfs w przestrzeni uytkownika - statyczna binarka dla initrd
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description initrd
A userspace implementation of devfs - static binary for initrd.

%description initrd -l pl
Implementacja devfs w przestrzeni uytkownika - statyczna binarka dla
initrd.

%package tools
Summary:	udev tools
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description tools
udev tools - programs not needed for bootup.

%description tools -l pl
Narzdzia udev - programy nie wymagane do startu systemu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%if %{with initrd}
%{__make} \
%ifarch athlon
	ARCH=i386 \
%endif
	udevdir=/dev \
	%{?with_uClibc:CC="%{_target_cpu}-uclibc-gcc"} \
	%{?with_uClibc:LD="%{_target_cpu}-uclibc-gcc %{rpmldflags} -static"} \
	%{?with_dietlibc:CC="%{_target_cpu}-dietlibc-gcc"} \
	%{?with_dietlibc:LD="%{_target_cpu}-dietlibc-gcc %{rpmldflags} -static"} \
	%{?with_glibc:CC="%{_target_cpu}-pld-linux-gcc"} \
	%{?with_glibc:LD="%{_target_cpu}-pld-linux-gcc %{rpmldflags} -static"} \
	%{?with_klibc:KLCC=%{_bindir}/klcc CC="klcc"} \
	%{?with_klibc:LD="klcc %{rpmldflags} -static"} \
	DEBUG=%{!?debug:false}%{?debug:true} \
	OPTFLAGS="%{rpmcflags}" \
	USE_KLIBC=%{!?with_klibc:false}%{?with_klibc:true} \
	USE_LOG=false \
	USE_SELINUX=false \
	EXTRAS="" \
	V=1

cp -a udev initrd-udev
%if %{with main}
%{__make} clean
%endif
%endif

%if %{with main}
%{__make} \
	udevdir=/dev \
	CC="%{__cc}" \
	DEBUG=%{!?debug:false}%{?debug:true} \
	OPTFLAGS="%{rpmcflags}" \
	USE_KLIBC=false \
	USE_LOG=true \
	EXTRAS="%{extras}" \
	V=1

%{__cc} %{rpmcflags} %{SOURCE4} -o uevent_listen
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with main}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{modprobe.d,udev/rules.d} \
	$RPM_BUILD_ROOT/lib/udev/devices

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	initdir=%{_initrddir} \
	EXTRAS="%{extras}"

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/udev/udev.rules
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/udev/udev.permissions
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/init.d/udev

# install rules
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/50-udev-default.rules
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/51-modprobe.rules
install %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/55-hotplug_map.rules
install %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/05-early.rules
install %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-persistent-input.rules
install %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-persistent-storage.rules

# configs
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/udev
install %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/udev/links.conf

# executables
install %{SOURCE20} $RPM_BUILD_ROOT/lib/udev/udev_ieee1394_helper
install %{SOURCE21} $RPM_BUILD_ROOT/lib/udev/udev_net_helper
install %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}/start_udev
install %{SOURCE5} $RPM_BUILD_ROOT%{_prefix}/sbin/udev_import_usermap
install extras/ide-devfs.sh $RPM_BUILD_ROOT/lib/udev
install extras/raid-devfs.sh $RPM_BUILD_ROOT/lib/udev
install extras/scsi-devfs.sh $RPM_BUILD_ROOT/lib/udev
install extras/path_id $RPM_BUILD_ROOT%{_sbindir}
install uevent_listen $RPM_BUILD_ROOT%{_sbindir}
install udevsynthesize $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT{%{_sbindir},/lib/udev}/scsi_id
ln -s /lib/udev/scsi_id $RPM_BUILD_ROOT%{_sbindir}

# misc
install %{SOURCE12} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/udev_blacklist.conf

%endif

%if %{with initrd}
install -d $RPM_BUILD_ROOT%{_sbindir}
install initrd-udev $RPM_BUILD_ROOT%{_sbindir}/initrd-udev
ln -s initrd-udev $RPM_BUILD_ROOT%{_sbindir}/udevstart.initrd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- dev
if [ "$2" = 0 ]; then
	# need to kill and restart udevd as after obsoleting dev package the
	# /dev tree will remain empty. umask is needed as otherwise udev will
	# create devices with strange permissions (udev bug probably)
	umask 000
	/sbin/start_udev || exit 0
fi

%if %{with main}
%files
%defattr(644,root,root,755)
%doc ChangeLog FAQ README RELEASE-NOTES TODO
%doc docs/{overview,udev_vs_devfs,writing_udev_rules}
%doc libsysfs/libsysfs.txt

%dir /lib/udev

# /lib/udev/devices is recommended as a directory where packages or
# the user can place real device nodes, which get copied over to /dev at
# every boot. This should replace the various solutions with custom config
# files.
%dir /lib/udev/devices

%attr(755,root,root) /lib/udev/create_floppy_devices
%attr(755,root,root) /lib/udev/firmware_helper

%attr(755,root,root) /lib/udev/ide-devfs.sh
%attr(755,root,root) /lib/udev/raid-devfs.sh
%attr(755,root,root) /lib/udev/scsi-devfs.sh

%attr(755,root,root) /lib/udev/udev_ieee1394_helper
%attr(755,root,root) /lib/udev/udev_net_helper
%attr(755,root,root) /lib/udev/scsi_id

%attr(755,root,root) %{_sbindir}/ata_id
%attr(755,root,root) %{_sbindir}/cdrom_id
%attr(755,root,root) %{_sbindir}/dasd_id
%attr(755,root,root) %{_sbindir}/edd_id
%attr(755,root,root) %{_sbindir}/path_id
%attr(755,root,root) %{_sbindir}/scsi_id
%attr(755,root,root) %{_sbindir}/usb_id
%attr(755,root,root) %{_sbindir}/vol_id

%attr(755,root,root) %{_sbindir}/start_udev
%attr(755,root,root) %{_sbindir}/udev
%attr(755,root,root) %{_sbindir}/udevcontrol
%attr(755,root,root) %{_sbindir}/udevd
%attr(755,root,root) %{_sbindir}/udevsend
%attr(755,root,root) %{_sbindir}/udevstart
%attr(755,root,root) %{_sbindir}/udevsynthesize
%attr(755,root,root) %{_sbindir}/uevent_listen

%attr(755,root,root) %{_bindir}/udevinfo
%attr(755,root,root) %{_bindir}/udevtest
%attr(755,root,root) %{_prefix}/sbin/udevmonitor

%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d

%{_sysconfdir}/modprobe.d/udev_blacklist.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/scsi_id.config
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/links.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/udev.conf

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/05-early.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/50-udev-default.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/51-modprobe.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/60-persistent-input.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/60-persistent-storage.rules
%{_sysconfdir}/udev/rules.d/55-hotplug_map.rules

%{_mandir}/man8/*

%dev(c,1,3) %attr(666,root,root) /dev/null
%dev(c,5,1) %attr(660,root,console) /dev/console
%dev(c,1,5) %attr(666,root,root) /dev/zero
%endif

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/initrd-udev
%attr(755,root,root) %{_sbindir}/udevstart.initrd
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/sbin/udev_import_usermap

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: udev.spec,v $
Revision 1.150.2.16  2008-04-09 09:24:47  matkor
- Release 11. KERNEL==fuse,MODE=0660, GROUP=fuse

Revision 1.150.2.15  2007-11-07 12:52:57  glen
- move scsi_id to /lib/udev; rel 10

Revision 1.150.2.14  2007/11/07 12:42:34  glen
- add /dev/fuse; rel 9

Revision 1.150.2.13  2007/11/01 02:46:09  glen
- use /initrd/dev if we find it mounted as base for /dev in start_udev; rel 8

Revision 1.150.2.12  2007/02/14 12:14:03  glen
- this one?

Revision 1.150.2.11  2007/02/14 11:12:55  glen
- go figure, the file in our distfiles has changed?

Revision 1.150.2.10  2007/02/14 11:06:13  glen
- rel 7

Revision 1.150.2.9  2007/01/15 14:35:37  glen
- adapter

Revision 1.150.2.8  2006/09/13 11:20:41  glen
- separate udev_import_usermap due perl dep (what it's for anyway?)

Revision 1.150.2.7  2006/07/07 19:32:29  freetz
- rel.6

Revision 1.150.2.6  2006/07/05 16:31:03  freetz
- rel.5.99, fixed build options

Revision 1.150.2.5  2006/07/04 16:01:21  freetz
- rel.5.9, removed input helpers (obsolete with recent kernels)

Revision 1.150.2.4  2006/07/02 16:46:08  freetz
- rel.5

Revision 1.150.2.3  2006/06/26 19:38:53  freetz
- fixed usb maps sources

Revision 1.150.2.2  2006/06/26 19:20:34  freetz
- bunch of bugfixes in rules from HEAD, rel.4.9 for testing

Revision 1.150.2.1  2006/02/13 23:06:41  glen
- default value in start_udev for UDEV_STARTER in case .rpmnew is not merged
- rel 4, STBR ASAP

Revision 1.150  2006/01/23 22:58:56  freetz
- use external configuration for creation of initial nodes, rel.3

Revision 1.149  2006/01/10 23:51:58  freetz
- rel.2

Revision 1.148  2006/01/07 13:57:38  freetz
- removed digicam subpkg, will be handled by hal/libgphoto stuff, rel. 1.1

Revision 1.147  2006/01/06 23:42:45  freetz
- rel.1 (thanks to arekm for solving sparc/alpha/amd64 build)

Revision 1.146  2006/01/06 20:45:52  arekm
- try klibc with alpha, too

Revision 1.145  2006/01/06 20:32:31  arekm
- use klibc for sparc

Revision 1.144  2005/12/28 09:02:36  freetz
- 079, s/persistent/persistent-disk/ in rules

Revision 1.143  2005/12/21 18:59:53  freetz
- 078

Revision 1.142  2005/12/10 18:38:12  freetz
- 077, package included persistent.rules, package more extra scripts,
  %%files updated

Revision 1.141  2005/11/25 21:58:03  wolf
- add url

Revision 1.140  2005/11/25 21:17:55  freetz
- started work on 076, /lib/udev introduced as default scripts/helpers dir,
  some comments added

Revision 1.139  2005/11/22 15:19:23  freetz
- MAKEDEV is required to precreate device nodes not handled by udev, rel.2

Revision 1.138  2005/11/18 20:21:04  wolf
- add docs

Revision 1.137  2005/11/16 15:35:22  freetz
- removed hotplug symlink (it can't be done this way until /sbin/hotplug is
  a default kernel hotplug handler), added cleaned up hotplug_map.rules
  (instead of creating it with script at build time), rel.1

Revision 1.136  2005/11/12 02:02:42  glen
- no need to set default attr for dirs

Revision 1.135  2005/11/12 01:28:10  havner
- add /etc/udev/devices dir

Revision 1.134  2005/11/11 14:49:57  freetz
- 075, removed udeveventrecoder (replaced with eventrecorder.sh)
  still 0.1 due to startup problems (init time glitches)

Revision 1.133  2005/11/08 16:56:10  ankry
- don't obsolete hotplug: udev does not work with kernel24

Revision 1.132  2005/11/08 08:23:23  freetz
- removed obsoleted utilities, added RELEASE-NOTES to docs

Revision 1.131  2005/11/08 08:10:23  freetz
- started work on 074

Revision 1.130  2005/11/06 19:22:50  freetz
- rel.5 (fixed modprobe.rules usbcore/usbfs problem)

Revision 1.129  2005/10/31 16:31:42  freetz
- rel.4 for rebuild with fixed udev-digicam agent

Revision 1.128  2005/10/25 14:33:47  freetz
- rel.3 for rebuild with fixed modprobe.rules

Revision 1.127  2005/10/24 07:47:21  tommat
- added edd_id utility

Revision 1.126  2005/10/23 17:10:15  freetz
- added missing changelog information

Revision 1.125  2005/10/23 17:04:04  freetz
- rel.2, fixed initial coldplug troubles and framebuffer modules
  autolading

Revision 1.124  2005/10/22 18:56:50  freetz
- rel.1, ready for wide testing

Revision 1.123  2005/10/22 16:41:23  freetz
- rel.0.99

Revision 1.122  2005/10/22 10:06:01  freetz
- udeveventrecorder added

Revision 1.121  2005/10/22 08:23:54  freetz
- created '/sbin/hotplug' symbolic link to avoid sysctl hacks
  (thanks to Pawe Sakowski for suggestion), rel. 0.9

Revision 1.120  2005/10/21 08:27:33  freetz
- 071, added persistent.rules, dropped rules numbering

Revision 1.119  2005/10/20 21:01:55  freetz
- music for masses, rel.6

Revision 1.118  2005/10/19 20:43:32  qboosh
- cleanup

Revision 1.117  2005/10/19 16:58:00  freetz
- udev epoch in R:

Revision 1.116  2005/10/19 16:01:16  freetz
- digicam subpackage (hotplug-digicam replacement), rel. 5.5

Revision 1.115  2005/10/19 15:27:50  freetz
- source md5 fix

Revision 1.114  2005/10/19 15:23:19  freetz
- cleanup, Work In Progress

Revision 1.113  2005/10/19 13:19:11  freetz
- ieee1384,input,net hotplug agents added, rel. 5.4

Revision 1.112  2005/10/19 10:41:41  freetz
- disabled driver agents in hotplug_map rules creation, rel.5.3

Revision 1.111  2005/10/19 10:35:26  freetz
- added hotplug usb maps (converted to rules), dropped hotplug support

Revision 1.110  2005/10/19 00:10:05  jpc
- add a helper script from Mandriva (does it need to be packaged?)
- add rules for completely udev based hotplug/module loading (uses
  $modalias passed from kernel, w/o any additional hotplug scripts)
- rel 5.2

Revision 1.109  2005/10/18 19:53:48  freetz
- deprecated hotplug.d compatibilty dropped, chassis_id don't exist anymore
  rel.5.1

Revision 1.108  2005/10/16 16:42:23  glen
- rel 5

Revision 1.107  2005/10/15 22:44:38  glen
- devmap_name removed (use multipath-tools instead); rel 4.1

Revision 1.106  2005/10/15 15:15:10  glen
- use klibc for amd64

Revision 1.105  2005/10/14 17:37:52  glen
- udev-synthesize from debian

Revision 1.104  2005/10/14 17:37:24  glen
- extras/chassis_id is no longer?

Revision 1.103  2005/10/14 15:39:53  glen
- need USE_KLIBC=true for klibc build otherwise incompatible CFLAGS are passed in Makefile
- fix make clean

Revision 1.102  2005/10/14 15:23:40  glen
- dietlibc bcond rename

Revision 1.101  2005/10/14 15:19:00  glen
- bcond to link initrd with klibc

Revision 1.100  2005/10/14 15:02:10  glen
- bcond for compiling initrd with glibc and skipping main package build

Revision 1.99  2005/10/14 13:38:05  glen
- uclibc broken on amd64

Revision 1.98  2005/10/14 13:14:32  glen
- fix -debug build (must pass DEBUG=true for binaries being not stripped)

Revision 1.97  2005/10/13 10:12:26  glen
- fixed start_udev which attempted to move /dev mounts if /dev was from ramfs; rel 4

Revision 1.96  2005/09/18 12:08:55  glen
- start udev only when dev package is completely removed; rel 3

Revision 1.95  2005/09/17 14:52:34  freetz
- added firmware rules, rel.2

Revision 1.94  2005/09/17 10:58:43  glen
- default to uClibc if both libc-s defined

Revision 1.93  2005/09/17 10:57:58  glen
- add dietlibc bcond

Revision 1.92  2005/09/17 08:31:02  arekm
- up to 070

Revision 1.91  2005/09/11 12:33:11  freetz
- note about --without uClibc added

Revision 1.90  2005/09/10 20:51:30  glen
- /dev/pts hacks no longer (hopefully) needed after start_udev update

Revision 1.89  2005/09/07 12:52:10  glen
- rel 4

Revision 1.88  2005/09/07 12:51:52  glen
- handle lost /dev/pts when migrating from dev

Revision 1.87  2005/09/06 19:35:57  glen
- removed redundant killall (start_udev supposed to do that)

Revision 1.86  2005/09/06 19:21:34  glen
- add trigger when uninstalling dev package

Revision 1.85  2005/09/06 19:19:59  arekm
- rel 3; for now we do not obsolete static dev

Revision 1.84  2005/09/05 11:43:24  freetz
- release 2 for updated udev.rules

Revision 1.83  2005/09/04 18:25:57  arekm
- switch to uclibc (for amd64)

Revision 1.82  2005/09/04 18:14:34  freetz
- enable firmware helper

Revision 1.81  2005/09/04 13:03:25  freetz
- path_id script added to package

Revision 1.80  2005/09/04 10:47:27  freetz
- updated to 068, massive cleanup, dropped check-cdrom script (make use of
  included utility), more %files, rel.1

Revision 1.79  2005/07/31 15:30:42  jpc
- fixed permisions for the hotplug symlink
  non-op really but lets be future-proof (pointed out by arekm)
- rel 0.2
- works for me

Revision 1.78  2005/07/31 15:13:24  saq
- prep is the place for sed-patching

Revision 1.77  2005/07/31 14:59:13  jpc
- uncastrate udev
  (it really won't work well without hotplug events ;)

Revision 1.76  2005/07/29 12:51:42  wiget
- updated to 064
- testing

Revision 1.75  2005/05/22 22:20:54  wiget
- updated to 058

Revision 1.74  2005/05/21 14:17:06  speedy
- bcond: without_uClibc [use dietlibc instead - default on %{x8664)]

Revision 1.73  2005/05/03 04:12:53  wrobell
- ver. 057

Revision 1.72  2005/03/24 22:18:08  qboosh
- removed outdated symlink patch

Revision 1.71  2005/03/24 21:32:23  wrobell
- ver. 056

Revision 1.70  2005/03/18 21:28:10  arekm
- fix /dev/tty; rel 2

Revision 1.69  2005/03/14 16:04:51  arekm
- up to 054

Revision 1.68  2005/02/12 12:00:49  pluto
- md5 for uevent_listen.

Revision 1.67  2005/02/12 11:47:41  pluto
- updated to 053.
- uevent_listen tool added.

Revision 1.66  2005/01/06 23:19:39  sparky
- updated to 050

Revision 1.65  2004/12/09 11:30:32  arekm
- up to 048

Revision 1.64  2004/11/24 01:24:42  jpc
- add 00-wait-for-sysfs.hotplug symlink
- rel 2

Revision 1.63  2004/11/21 09:33:54  arekm
- 046

Revision 1.62  2004/11/18 09:32:44  qboosh
- dropped bogus source0-size

Revision 1.61  2004/11/17 22:51:33  arekm
- add epoch to R

Revision 1.60  2004/11/17 22:50:18  arekm
- up to 045

Revision 1.59  2004/11/02 00:00:24  arekm
- rel 2; updates

Revision 1.58  2004/11/01 23:29:17  arekm
- more scripts

Revision 1.57  2004/11/01 19:33:00  arekm
- fix symlink

Revision 1.56  2004/11/01 16:05:33  arekm
- add check-cdrom.sh

Revision 1.55  2004/10/24 14:21:24  arekm
- up to 042

Revision 1.54  2004/10/21 23:02:35  arekm
- up to 040

Revision 1.53  2004/10/21 22:49:46  aredridel
- Source5, not NoSource5

Revision 1.52  2004/10/20 17:07:25  qboosh
- devmap_name perms fix

Revision 1.51  2004/10/20 16:58:46  aredridel
- add devmap_name from multipath-utils package; Makes LVM2 work.

Revision 1.50  2004/10/16 11:05:56  arekm
- updated to 039

Revision 1.49  2004/10/10 10:57:55  arekm
- readd symlink patch

Revision 1.48  2004/10/08 20:29:00  arekm
- updated to 0.34

Revision 1.47  2004/10/07 11:04:07  qboosh
- -dev is no more

Revision 1.46  2004/10/01 08:11:47  jajcus
- BR: libselinux-devel

Revision 1.45  2004/09/26 23:45:26  havner
- removed version from O: dev

Revision 1.44  2004/09/26 23:23:07  arekm
- Obsolete: dev; provide three base /dev entries

Revision 1.43  2004/09/25 22:05:14  arekm
- use uclibc for initrd

Revision 1.42  2004/09/25 21:11:45  arekm
- provide dev

Revision 1.41  2004/09/25 13:45:00  arekm
- add start_udev

Revision 1.40  2004/09/25 12:33:32  arekm
- first step for managing /dev by default; udev for AC is on a branch

Revision 1.39  2004/09/06 16:18:53  havner
- rel 2

Revision 1.38  2004/07/24 17:16:26  havner
- removed /dev dir from udev-dev package. /dev dir belongs to FHS

Revision 1.37  2004/07/18 22:32:49  grzegol
- updated to 030

Revision 1.36  2004/07/03 22:03:30  qboosh
- updated to 029

Revision 1.35  2004/06/27 12:49:32  grzegol
- updated to 028

Revision 1.34  2004/06/19 21:03:51  arekm
- dev subpackage

Revision 1.33  2004/06/15 00:16:53  arekm
- updated to 0.27; udev dir is /udev and it stays this way

Revision 1.32  2004/06/09 16:01:12  grzegol
- removed dbus and selinux extra packages - both are removed from sources
- removed scsi_id bcond - scsi_id extra package will always be built
- build also volume_id extra package

Revision 1.31  2004/06/08 10:19:35  pluto
- updated to 026.

Revision 1.30  2004/05/20 23:04:25  saq
- fix the selinux symlink

Revision 1.29  2004/05/20 22:48:16  arekm
- selinux builds

Revision 1.28  2004/05/20 22:37:18  saq
- up to 025
- dbus is now optional

Revision 1.27  2004/03/14 12:17:15  qboosh
- updated to 022

Revision 1.26  2004/03/12 22:29:48  orzech
- BR: pkgconfig

Revision 1.25  2004/03/11 10:33:00  wiget
- reverted initrd bcond (need more work)

Revision 1.24  2004/03/03 22:05:48  grzegol
- updated to 021

Revision 1.23  2004/02/29 21:36:09  grzegol
- updated to 019

Revision 1.22  2004/02/21 13:38:40  qboosh
- pl for -initrd

Revision 1.21  2004/02/21 13:37:35  qboosh
- patch not present in repo... so replaced by make option

Revision 1.20  2004/02/20 17:28:19  grzegol
- updated to 018
- more docs

Revision 1.19  2004/02/15 16:07:42  wiget
- updated to 017
- added initrd subpackage with static binary (builded against klibc)

Revision 1.18  2004/02/06 12:59:30  grzegol
- updated to 016
- removed outdated dbus patch
- added more docs

Revision 1.17  2004/01/31 19:16:34  grzegol
- R: dbus >= 0.20-2

Revision 1.16  2004/01/31 19:15:08  grzegol
- enabled dbus support
- added dbus patch (fix building with dbus support enabled)
- rel. 2

Revision 1.15  2004/01/27 00:19:43  qboosh
- updated to 015

Revision 1.14  2004/01/15 20:37:07  qboosh
- updated to 013, shared glibc again

Revision 1.13  2004/01/03 00:29:17  qboosh
- updated to 012

Revision 1.12  2003/12/26 14:16:08  qboosh
- updated to 011

Revision 1.11  2003/12/24 01:39:23  qboosh
- updated to 010

Revision 1.10  2003/12/17 22:02:16  qboosh
- updated to 009, use make install

Revision 1.9  2003/12/04 21:37:37  qboosh
- updated to 008

Revision 1.8  2003/11/28 22:31:50  qboosh
- updated to 007, added man page, BR: glibc-static

Revision 1.7  2003/10/21 17:05:20  arekm
- add FAQ to docs

Revision 1.6  2003/10/21 17:04:39  arekm
- updated to 004

Revision 1.5  2003/08/26 23:08:28  deejay1
- typo

Revision 1.4  2003/08/20 20:48:02  qboosh
- really use optflags, typo, BR: new sed

Revision 1.3  2003/08/17 12:14:45  arekm
- add hotplug script

Revision 1.2  2003/08/16 17:31:10  ankry
- pl description fix

Revision 1.1  2003/08/16 12:39:03  arekm
- initial pld release
